ButtonBar (Javadocs: controlP5)

controlP5

## Class ButtonBar

- java.lang.Object
- - controlP5.Controller<ButtonBar>
  - - controlP5.ButtonBar

- All Implemented Interfaces:
    CDrawable, ControllerInterface<ButtonBar>, ControlP5Constants

      public class ButtonBar
      extends Controller<ButtonBar>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `autoHeight`
    `static int` | `autoWidth`

    - ### Fields inherited from class controlP5.Controller

      `autoSpacing`

    - ### Fields inherited from interface controlP5.ControlP5Constants

      `acceptClassList, ACTION_BROADCAST, ACTION_CLICK, ACTION_DOUBLE_PRESS, ACTION_DRAG, ACTION_END_DRAG, ACTION_ENTER, ACTION_EXIT, ACTION_LEAVE, ACTION_MOVE, ACTION_PRESS, ACTION_PRESSED, ACTION_RELEASE, ACTION_RELEASE_OUTSIDE, ACTION_RELEASED, ACTION_RELEASEDOUTSIDE, ACTION_START_DRAG, ACTION_WHEEL, ACTIVE, ALL, ALT, AQUA, ARC, ARRAY, BACKSPACE, BASELINE, BITFONT, BLACK, BLUE, BOOLEAN, BOTTOM, BOTTOM_OUTSIDE, CAPTIONLABEL, CENTER, CHECKBOX, COMMANDKEY, CONTROL, controlEventClass, CUSTOM, DECREASE, DEFAULT, DELETE, delimiter, DONE, DOWN, DROPDOWN, ELLIPSE, ENTER, ESCAPE, EVENT, eventMethod, FADEIN, FADEOUT, FIELD, FLOAT, FUCHSIA, GRAY, GREEN, grixel, HALF_PI, HIDE, HIGHLIGHT, HORIZONTAL, IDLE, IMAGE, INACTIVE, INCREASE, INTEGER, INVALID, J2D, JSON, KEYCONTROL, LEFT, LEFT_OUTSIDE, LIME, LINE, LIST, LOAD, MAROON, MENU, METHOD, MOVE, MULTI, MULTIPLES, NAVY, OLIVE, ORANGE, OVER, P2D, P3D, pathdelimiter, PI, PRESS, PRESSED, PRINT, PURPLE, RED, RELEASE, RELEASED, RESET, RIGHT, RIGHT_OUTSIDE, SAVE, SERIALIZED, SHIFT, SILVER, SINGLE, SINGLE_COLUMN, SINGLE_ROW, SPRITE, standard56, standard58, STRING, SWITCH, SWITCH_BACK, SWITCH_FORE, synt24, TAB, TEAL, THEME_A, THEME_CP52014, THEME_CP5BLUE, THEME_GREY, THEME_RED, THEME_RETRO, TOP, TOP_OUTSIDE, TRANSITION_WAIT_FADEIN, TREE, TWO_PI, UP, VALUELABEL, VERBOSE, VERTICAL, WAIT, WHITE, YELLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ButtonBar(ControlP5 theControlP5, java.lang.String theName)` Convenience constructor to extend ButtonBar.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ButtonBar` | `addItem(java.lang.String theName, java.lang.Object theValue)`
    `ButtonBar` | `addItems(java.util.List<java.lang.String> theItems)`
    `ButtonBar` | `addItems(java.util.Map<java.lang.String,java.lang.Object> theItems)`
    `ButtonBar` | `addItems(java.lang.String[] theItems)`
    `void` | `changeItem(java.lang.String theItem, java.lang.String theKey, java.lang.Object theValue)`
    `ButtonBar` | `clear()`
    `java.util.Map` | `getItem(java.lang.String theItem)`
    `java.util.List` | `getItems()`
    `int` | `hover()`
    `void` | `onClick()`
    `ButtonBar` | `removeItem(java.lang.String theName)`
    `ButtonBar` | `removeItems(java.util.List<java.lang.String> theItems)`
    `ButtonBar` | `setItems(java.util.List<java.lang.String> theItems)`
    `ButtonBar` | `setItems(java.util.Map<java.lang.String,java.lang.Object> theItems)`
    `ButtonBar` | `setItems(java.lang.String[] theItems)`
    `ButtonBar` | `updateDisplayMode(int theMode)`
    `ButtonBar` | `updateViewMode(int theMode)`

    - ### Methods inherited from class controlP5.Controller

      `add, addCallback, addListener, addListenerFor, align, bringToFront, bringToFront, changeValue, continuousUpdateEvents, draw, getAbsolutePosition, getAddress, getArrayValue, getArrayValue, getBehavior, getCaptionLabel, getColor, getControllerPlugList, getControlWindow, getDecimalPrecision, getDefaultValue, getHeight, getId, getInfo, getLabel, getMax, getMin, getName, getParent, getPickingColor, getPointer, getPosition, getProperty, getProperty, getStringValue, getTab, getValue, getValueLabel, getView, getWidth, getWindow, hide, init, isActive, isBroadcast, isInside, isLabelVisible, isListening, isLock, isMouseOver, isMousePressed, isMoveable, isUpdate, isUserInteraction, isVisible, keyEvent, linebreak, listen, listenerSize, lock, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, onChange, onClick, onDoublePress, onDrag, onDraw, onEndDrag, onEnter, onLeave, onMove, onPress, onRelease, onReleaseOutside, onStartDrag, onWheel, plugTo, plugTo, plugTo, plugTo, registerProperty, registerProperty, registerTooltip, remove, remove, removeBehavior, removeCallback, removeCallback, removeListener, removeListenerFor, removeListenersFor, removeProperty, removeProperty, set, setAbsolutePosition, setAddress, setArrayValue, setArrayValue, setBehavior, setBroadcast, setCaptionLabel, setColor, setColorActive, setColorBackground, setColorCaptionLabel, setColorForeground, setColorLabel, setColorValue, setColorValueLabel, setDecimalPrecision, setDefaultValue, setGroup, setGroup, setHeight, setId, setImage, setImage, setImages, setImages, setImages, setLabel, setLabelVisible, setLock, setMax, setMin, setMouseOver, setMousePressed, setMoveable, setParent, setPosition, setPosition, setSize, setSize, setStringValue, setTab, setTab, setUpdate, setUserInteraction, setValue, setValueLabel, setValueSelf, setView, setView, setVisible, setWidth, show, toString, unlock, unplugFrom, unplugFrom, unregisterTooltip, update, updateAbsolutePosition, updateEvents, updateInternalEvents, updateSize, x, y`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### autoHeight

          public static int autoHeight

    - #### autoWidth

          public static int autoWidth

  - ### Constructor Detail

    - #### ButtonBar

          public ButtonBar(ControlP5 theControlP5,
                           java.lang.String theName)

      Convenience constructor to extend ButtonBar.

  - ### Method Detail

    - #### addItem

          public ButtonBar addItem(java.lang.String theName,
                                   java.lang.Object theValue)

    - #### addItems

          public ButtonBar addItems(java.util.List<java.lang.String> theItems)

    - #### addItems

          public ButtonBar addItems(java.util.Map<java.lang.String,java.lang.Object> theItems)

    - #### addItems

          public ButtonBar addItems(java.lang.String[] theItems)

    - #### changeItem

          public void changeItem(java.lang.String theItem,
                                 java.lang.String theKey,
                                 java.lang.Object theValue)

    - #### clear

          public ButtonBar clear()

    - #### getItem

          public java.util.Map getItem(java.lang.String theItem)

    - #### getItems

          public java.util.List getItems()

    - #### hover

          public int hover()

    - #### onClick

          public void onClick()

    - #### removeItem

          public ButtonBar removeItem(java.lang.String theName)

    - #### removeItems

          public ButtonBar removeItems(java.util.List<java.lang.String> theItems)

    - #### setItems

          public ButtonBar setItems(java.util.List<java.lang.String> theItems)

    - #### setItems

          public ButtonBar setItems(java.util.Map<java.lang.String,java.lang.Object> theItems)

    - #### setItems

          public ButtonBar setItems(java.lang.String[] theItems)

    - #### updateDisplayMode

          public ButtonBar updateDisplayMode(int theMode)

    - #### updateViewMode

          public ButtonBar updateViewMode(int theMode)

processing library controlP5 by Andreas Schlegel. (c) 2006-2015